<template>
  <div class="zoombox">
    <img
      :src="src"
      :class="[
        'transform',
        'transition-all',
        'duration-200',
        'delay-100',
        'left-0',
        'top-0',
        isToogle
          ? '-translate-x-1/2 -translate-y-1/2 fixed left-1/2 top-1/2 scale-150 z-100'
          : 'relative',
      ]"
      ref="relativeimg"
      alt="a"
      @click="toggle"
    />
    <!-- <div :class="['fixed','z-30','w-full','h-screen','bg-black','bg-opacity-60 transition-all duration-150 delay-75',!isToogle?'hidden':'']" @click="toggle"></div> -->
    <!-- <img :src="src" class="fixed w-full opacity-0" ref="fixedimg" alt="a" /> -->
  </div>
</template>
<script>
module.exports = {
  props: {
    idObj: {
      type: String,
    },

    src: {
      type: String,
      required: true,
    },
  },
  mounted() {
    document.addEventListener('click',(evt)=>{
      if(evt.target.id === 'pantalla'){
        if (this.isToogle) {
          document.body.classList.remove("overflow-hidden");
          document.querySelector('#pantalla').classList.add('hidden');
          this.isToogle = !this.isToogle;
        }
      }
    });
  },

  data: function () {
    return {
      isToogle: false,
    };
  },
  methods: {
    toggle: function () {
      if (!this.isToogle) {
        this.$refs.relativeimg.style.height =
          this.$refs.relativeimg.height + "px;";
        this.$refs.relativeimg.style.width =
          this.$refs.relativeimg.width + "px";
      }
      this.isToogle = !this.isToogle;
      if (this.isToogle) {
        document.body.classList.add("overflow-hidden");
        document.querySelector('#pantalla').classList.remove('hidden');
      } else {
        document.body.classList.remove("overflow-hidden");
        document.querySelector('#pantalla').classList.add('hidden');
      }
    },
  },
};
</script>